function desAccel = getDesiredAccel(distArray,heightArray,k)
    if(k<length(distArray)) % makes sure you do not get index out of bounds error
        rise = heightArray(k+1)-heightArray(k);
        run = distArray(k);
        disp('rise: '); disp(rise); disp('run: '); disp(run);
        if(rise<=0)
           desAccel = 1.3; % [m/s^2], assume this is possible
        else % rise>0
            if(run<=rise) % steep hill
                desAccel = 0.5; % [m/s^2], could change this later, should theoretically manage about 2 m/s^2
                disp('desAccel steep hill: '); disp(desAccel);
            else % run > rise, not so steep hill
                desAccel = 1.3; % [m/s^2], could change this later
                disp('desAccel shallow hill: '); disp(desAccel);
            end
        end
    else 
       desAccel = 1.3; % [m/s^2], assume last point is flat
    end
    disp('desAccel: '); disp(desAccel);
end

