function outputIntMeters = stringDistToIntDistInMeters(inputString)
%stringDistToIntDistInMeters
%   Inputs a string that looks like '59 m' or '49.9 km' for example
%   Returns an integer distance in meters
   if(strcmp(inputString(end-1),'k') && strcmp(inputString(end),'m')) % contains [km] -> 
       outputIntMeters = round(1000*str2num(inputString(1:end-3))); % take away km, change from [km] -> [m], rounds up or down to nearest meter
   elseif(strcmp(inputString(end),'m')) % contains [m]
       outputIntMeters = round(str2num(inputString(1:end-2)));
   else
      % do nothing, in case of some unexpected case
   end
end

