clear; clc; close all;
load paramEstimationOCVRunBatteryRunTimeCalc;

voltage = [vDischargeUpdated;vChargeUpdated];

figure(1); plot(totalTime,voltage);

%% discharging part

timeToGoEstDischarge = Q/current; % Ah/A = hours

timeToGoRealDischarge = totalTime(length(vDischargeUpdated))/3600; % in hours

timeToGoErrorDischarge = (timeToGoRealDischarge-timeToGoEstDischarge)/timeToGoRealDischarge;

%% charging part

timeToGoEstCharge = timeToGoEstDischarge; % Ah/A = hours

timeToGoRealCharge = (totalTime(end)-totalTime(length(vDischargeUpdated)))/3600; % in hours

timeToGoErrorCharge = (timeToGoRealCharge-timeToGoEstCharge)/timeToGoRealCharge;