function [speedProfileLooped,timeLooped] = loopSpeedProfile(speedProfile,numLoops)
%loopSpeedProfile Inputs a speed profile, loops this profile numLoops numbers of
%time
% assumes speedProfile is a num by 1 vector
    len = length(speedProfile);
    outputLen = len*numLoops;
    speedProfileLooped = zeros(outputLen,1); % initialize output
    cntr = 1;
   for i=1:outputLen
       speedProfileLooped(i) = speedProfile(cntr);
       if(cntr==len)
           cntr = 1;
       end
       cntr = cntr + 1;
   end   
   timeLooped = (1:outputLen)';
end

