function vehicle = setupVehicle(Cd,drivetrain,frontalArea,motor,numWheels,overheadPower,payload,weight,wheel)
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here

    vehicle.Cd = Cd; % drag coefficient [unitless]
    vehicle.curbWeight = weight + drivetrain.pack.weight; % weight of vehicle without passengers or cargo [kg]
    vehicle.drivetrain = drivetrain;
    vehicle.frontalArea = frontalArea; % m^2
    vehicle.overheadPower = overheadPower; % [kW]
    vehicle.payload = payload; % weight of passengers & cargo [kg]
    vehicle.maxVehicleMass = vehicle.curbWeight + vehicle.payload;
    vehicle.numWheels = numWheels;
    vehicle.wheel = wheel;
    vehicle.rotEquivMass = ((motor.inertia+drivetrain.gearboxInertia)*(drivetrain.N)^2+numWheels*wheel.inertia)/(wheel.radius^2);
    vehicle.equivMass = vehicle.maxVehicleMass + vehicle.rotEquivMass;
    disp('equivMass: '); disp(vehicle.equivMass);
end

