function [CHatTheta,prevCHatTheta] = findCMatrix(k,thetaHatMinus,x,s,current,deltaT,Q,prevCHatTheta,recLimit,OCVAtEvery1PercentSoC)
%UNTITLED5 Summary of this function goes here
%   Detailed explanation goes here
    iR1 = x(1,k); h = x(2,k); z = x(3,k);
    partialHPartialTheta = [0 0 h s -iR1 -current(k)]; % [0 0 h_k s_k -iR1_k -i_k]
%     disp('partialHPartialTheta');
%     disp(partialHPartialTheta);
    R1Hat = thetaHatMinus(5,k); MHat = thetaHatMinus(3,k);
    partialOCVPartialZ = dOCVdSoC(OCVAtEvery1PercentSoC,z);
    partialHPartialX = [-R1Hat MHat partialOCVPartialZ];
%     disp('partialHPartialX');
%     disp(partialHPartialX);
    dxdThetaRec = recursivedxdTheta(k,x,current,thetaHatMinus,deltaT,Q,recLimit);
%     disp('dxdThetaRec');
%     disp(dxdThetaRec);
    CHatTheta = partialHPartialTheta + partialHPartialX*dxdThetaRec;
    %disp('CHatTheta');
    %disp(CHatTheta);
%     if(isMatrixNaN(CHatTheta))
%        disp('matrix element is Nan');
%        CHatTheta = zeros(1,6); % use previous CHatTheta that doesn't contain NaN
%     end
%     disp('k'); disp(k);
%     disp('CHatTheta'); disp(CHatTheta);
%     prevCHatTheta = CHatTheta;
end

